Asterisk Project : Asterisk 11 Function_STRREPLACE This page last changed on Jul 20, 2012 by wikibot. # STRREPLACE() ### Synopsis Replace instances of a substring within a string with another string. ### Description Searches for all instances of the find-string in provided variable and replaces them with replace-string. If replace-string is an empty string, this will effecively delete that substring. If max-replacements is specified, this function will stop after performing replacements max-replacements times.
| Note The replacement only occurs in the output. The original variable is not altered.
### Syntax
    STRREPLACE(varname,find-string[,replace-string[,max-replacements]])
##### Arguments `varname` `find-string` `replace-string` `max-replacements` ### Import Version This documentation was imported from Asterisk Version SVN-trunk-r370328

Document generated by Confluence on Nov 02, 2012 17:42